/* Initial state for fade-out */
body.fade-out {
    opacity: 0;
    transition: opacity 0.5s ease; /* Adjust duration as needed */
}

/* Normal state for fade-in */
body {
    opacity: 1;
    transition: opacity 0.5s ease; /* Adjust duration as needed */
}
.is-ready {
    animation: fadeInAnimation ease 3s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
}
@keyframes fadeInAnimation {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}

body {
    line-height: 1;
}

/* 
#bg-video {
width: 100%;
height: auto;
object-fit: cover;
object-position: center top;
margin-bottom: 1rem;
} */

#switch_button {
    color: #DEFBFF;
    font-size: 2em;
    /* font-size: 1.5em; */
    position: fixed;
    right: 10px;
    top: 10px;
}
#sound_button {
    color: #DEFBFF;
    font-size: 2em;
    /* font-size: 1.5em; */
    position: fixed;
    right: 15px;
    top: 50px;
}

ol,
ul {
    list-style: none;
}

blockquote,
q {
    quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
    content: '';
    content: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

body {
    -webkit-text-size-adjust: none
}

mark {
    background-color: transparent;
    color: inherit
}

input::-moz-focus-inner {
    border: 0;
    padding: 0
}

input[type="text"],
input[type="email"],
select,
textarea {
    -moz-appearance: none;
    -webkit-appearance: none;
    -ms-appearance: none;
    appearance: none
}

*,
*:before,
*:after {
    box-sizing: border-box;
}

body {
    line-height: 1.0;
    min-height: var(--viewport-height);
    min-width: 320px;
    overflow-x: hidden;
    word-wrap: break-word;
}

body:before {
    background-attachment: scroll;
    content: '';
    display: block;
    height: var(--background-height);
    left: 0;
    pointer-events: none;
    position: fixed;
    top: 0;
    transform: scale(1);
    width: 100vw;
    z-index: 0;
    background-image: linear-gradient(221deg, #91DEFF 0%, #FFFFFF 64%, #91DEFF 100%);
    background-position: 0% 0%;
    background-repeat: repeat;
    background-size: auto;
}

:root {
    --background-height: 100vh;
    --site-language-alignment: left;
    --site-language-direction: ltr;
    --site-language-flex-alignment: flex-start;
    --site-language-indent-left: 1;
    --site-language-indent-right: 0;
    --site-language-margin-left: 0;
    --site-language-margin-right: auto;
    --viewport-height: 100vh;
}

html {
    font-size: 16pt;
}

u {
    text-decoration: underline;
}

strong {
    color: inherit;
    font-weight: bolder;
}

em {
    font-style: italic;
}

code {
    background-color: rgba(144, 144, 144, 0.25);
    border-radius: 0.25em;
    font-family: 'Lucida Console', 'Courier New', monospace;
    font-size: 0.9em;
    font-weight: normal;
    letter-spacing: 0;
    margin: 0 0.25em;
    padding: 0.25em 0.5em;
    text-indent: 0;
}

mark {
    background-color: rgba(144, 144, 144, 0.25);
}

spoiler-text {
    -webkit-text-stroke: 0;
    background-color: rgba(32, 32, 32, 0.75);
    text-shadow: none;
    text-stroke: 0;
    color: transparent;
    cursor: pointer;
    transition: color 0.1s ease-in-out;
}

spoiler-text.active {
    color: #FFFFFF;
    cursor: text;
}

s {
    text-decoration: line-through;
}

sub {
    font-size: smaller;
    vertical-align: sub;
}

sup {
    font-size: smaller;
    vertical-align: super;
}

a {
    color: inherit;
    text-decoration: underline;
    transition: color 0.25s ease;
}

a[onclick]:not([href]) {
    cursor: pointer;
}

unloaded-script {
    display: none;
}

#wrapper {
    -webkit-overflow-scrolling: touch;
    align-items: center;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    min-height: var(--viewport-height);
    overflow: hidden;
    position: relative;
    z-index: 2;
}

#main {
    --alignment: center;
    --flex-alignment: center;
    --indent-left: 1;
    --indent-right: 1;
    --margin-left: auto;
    --margin-right: auto;
    --border-radius-tl: 0;
    --border-radius-tr: 0;
    --border-radius-br: 0;
    --border-radius-bl: 0;
    align-items: center;
    display: flex;
    flex-grow: 0;
    flex-shrink: 0;
    justify-content: center;
    max-width: 100%;
    position: relative;
    text-align: var(--alignment);
    z-index: 1;
    transition: opacity 2s ease-in-out 0s;
}

#main>.inner {
    --padding-horizontal: 4rem;
    --padding-vertical: 4rem;
    --spacing: 0.25rem;
    --width: 55rem;
    border-radius: var(--border-radius-tl) var(--border-radius-tr) var(--border-radius-br) var(--border-radius-bl);
    max-width: 100%;
    position: relative;
    width: var(--width);
    z-index: 1;
    padding: var(--padding-vertical) var(--padding-horizontal);
}

#main>.inner>* {
    margin-top: var(--spacing);
    margin-bottom: var(--spacing);
}

#main>.inner> :first-child {
    margin-top: 0 !important;
}

#main>.inner> :last-child {
    margin-bottom: 0 !important;
}

#main>.inner>.full {
    margin-left: calc(var(--padding-horizontal) * -1);
    max-width: calc(100% + calc(var(--padding-horizontal) * 2) + 0.4725px);
    width: calc(100% + calc(var(--padding-horizontal) * 2) + 0.4725px);
}

#main>.inner>.full:first-child {
    border-top-left-radius: inherit;
    border-top-right-radius: inherit;
    margin-top: calc(var(--padding-vertical) * -1) !important;
}

#main>.inner>.full:last-child {
    border-bottom-left-radius: inherit;
    border-bottom-right-radius: inherit;
    margin-bottom: calc(var(--padding-vertical) * -1) !important;
}

#main>.inner>.full.screen {
    border-radius: 0 !important;
    max-width: 100vw;
    position: relative;
    width: 100vw;
    left: 50%;
    margin-left: -50vw;
    right: auto;
}

body.is-loading #main {
    opacity: 0;
}

body.is-instant #main,
body.is-instant #main>.inner>*,
body.is-instant #main>.inner>section>* {
    transition: none !important;
}

body.is-instant:after {
    display: none !important;
    transition: none !important;
}

@keyframes loading-spinner {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.deferred:before {
    content: '';
    display: block;
    width: 4rem;
    height: 4rem;
    position: absolute;
    top: 50%;
    left: 50%;
    margin: -2rem 0 0 -2rem;
    animation: loading-spinner 1s infinite linear;
    transition: opacity 0.25s ease;
    transition-delay: 0.5s;
    opacity: 0;
    z-index: -1;
    background-image: url('data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHhtbG5zOnhsaW5rPSJodHRwOi8vd3d3LnczLm9yZy8xOTk5L3hsaW5rIiB3aWR0aD0iOTZweCIgaGVpZ2h0PSI5NnB4IiB2aWV3Qm94PSIwIDAgOTYgOTYiIHpvb21BbmRQYW49ImRpc2FibGUiPjxzdHlsZT5jaXJjbGUge2ZpbGw6IHRyYW5zcGFyZW50OyBzdHJva2U6ICNmZmY7IHN0cm9rZS13aWR0aDogMS41cHg7IH08L3N0eWxlPjxkZWZzPjxjbGlwUGF0aCBpZD0iY29ybmVyIj48cG9seWdvbiBwb2ludHM9IjAsMCA0OCwwIDQ4LDQ4IDk2LDQ4IDk2LDk2IDAsOTYiIC8+PC9jbGlwUGF0aD48L2RlZnM+PGcgY2xpcC1wYXRoPSJ1cmwoI2Nvcm5lcikiPjxjaXJjbGUgY3g9IjQ4IiBjeT0iNDgiIHI9IjMyIi8+PC9nPjwvc3ZnPg==');
    background-position: center;
    background-repeat: no-repeat;
    background-size: 3rem;
}

.deferred.loading:before {
    opacity: 0.35;
    z-index: 0;
}

h1,
h2,
h3,
p {
    direction: var(--site-language-direction);
    position: relative;
}

h1 span.p,
h2 span.p,
h3 span.p,
p span.p {
    display: block;
    position: relative;
}

h1 span[style],
h2 span[style],
h3 span[style],
p span[style],
h1 strong,
h2 strong,
h3 strong,
p strong,
h1 a,
h2 a,
h3 a,
p a,
h1 code,
h2 code,
h3 code,
p code,
h1 mark,
h2 mark,
h3 mark,
p mark,
h1 spoiler-text,
h2 spoiler-text,
h3 spoiler-text,
p spoiler-text {
    -webkit-text-fill-color: currentcolor;
}

h1.style1,
h2.style1,
h3.style1,
p.style1 {
    color: #3D3D3D;
    font-family: 'IBM Plex Mono', monospace;
    letter-spacing: 0.075rem;
    width: calc(100% + 0.075rem);
    font-size: 2em;
    line-height: 0.875;
    font-weight: 300;
}

h1.style1 a,
h2.style1 a,
h3.style1 a,
p.style1 a {
    text-decoration: underline;
}

h1.style1 a:hover,
h2.style1 a:hover,
h3.style1 a:hover,
p.style1 a:hover {
    text-decoration: none;
}

h1.style1 span.p:nth-child(n + 2),
h2.style1 span.p:nth-child(n + 2),
h3.style1 span.p:nth-child(n + 2),
p.style1 span.p:nth-child(n + 2) {
    margin-top: 1rem;
}

h1.style2,
h2.style2,
h3.style2,
p.style2 {
    text-align: center;
    color: #3D3D3D;
    font-family: 'IBM Plex Sans JP', sans-serif;
    letter-spacing: 0.025rem;
    width: calc(100% + 0.025rem);
    font-size: 0.75em;
    line-height: 1.625;
    font-weight: 300;
}

h1.style2 a,
h2.style2 a,
h3.style2 a,
p.style2 a {
    text-decoration: underline;
}

h1.style2 a:hover,
h2.style2 a:hover,
h3.style2 a:hover,
p.style2 a:hover {
    text-decoration: none;
}

h1.style2 span.p:nth-child(n + 2),
h2.style2 span.p:nth-child(n + 2),
h3.style2 span.p:nth-child(n + 2),
p.style2 span.p:nth-child(n + 2) {
    margin-top: 1rem;
}

.image {
    display: block;
    line-height: 0;
    max-width: 100%;
    position: relative;
}

.image .frame {
    -webkit-backface-visibility: hidden;
    -webkit-transform: translate3d(0, 0, 0);
    display: inline-block;
    max-width: 100%;
    overflow: hidden;
    vertical-align: top;
    width: 100%;
}

.image .frame img {
    border-radius: 0 !important;
    max-width: 100%;
    vertical-align: top;
    width: inherit;
}

.image.full .frame {
    display: block;
}

.image.full:first-child .frame {
    border-top-left-radius: inherit;
    border-top-right-radius: inherit;
}

.image.full:last-child .frame {
    border-bottom-left-radius: inherit;
    border-bottom-right-radius: inherit;
}

#image02 .frame {
    width: 100vw;
    height: 22rem;
    transition: none;
}

#image02 img {
    height: 100% !important;
    object-fit: cover;
    object-position: center;
    width: 100% !important;
}

#image02 .frame img {
    transition: none;
}

.container {
    position: relative;
}

.container>.wrapper {
    vertical-align: top;
    position: relative;
    max-width: 100%;
    border-radius: inherit;
}

.container>.wrapper>.inner {
    vertical-align: top;
    position: relative;
    max-width: 100%;
    border-radius: inherit;
    text-align: var(--alignment);
}

#main .container.full:first-child>.wrapper {
    border-top-left-radius: inherit;
    border-top-right-radius: inherit;
}

#main .container.full:last-child>.wrapper {
    border-bottom-left-radius: inherit;
    border-bottom-right-radius: inherit;
}

#main .container.full:first-child>.wrapper>.inner {
    border-top-left-radius: inherit;
    border-top-right-radius: inherit;
}

#main .container.full:last-child>.wrapper>.inner {
    border-bottom-left-radius: inherit;
    border-bottom-right-radius: inherit;
}

.container.style2:not(:first-child) {
    margin-top: 1.125rem !important;
}

.container.style2>.wrapper {
    display: inline-block;
    width: 45rem;
    background-color: transparent;
}

.container.style2>.wrapper>.inner {
    --gutters: 2rem;
    --padding-horizontal: 0rem;
    --padding-vertical: 3.375rem;
    --spacing: 1rem;
    padding: var(--padding-vertical) var(--padding-horizontal);
}

.container.style2.default>.wrapper>.inner>* {
    margin-bottom: var(--spacing);
    margin-top: var(--spacing);
}

.container.style2.default>.wrapper>.inner>*:first-child {
    margin-top: 0 !important;
}

.container.style2.default>.wrapper>.inner>*:last-child {
    margin-bottom: 0 !important;
}

.container.style2.columns>.wrapper>.inner {
    flex-wrap: wrap;
    display: flex;
    align-items: center;
}

.container.style2.columns>.wrapper>.inner>* {
    flex-grow: 0;
    flex-shrink: 0;
    max-width: 100%;
    text-align: var(--alignment);
    padding: 0 0 0 var(--gutters);
}

.container.style2.columns>.wrapper>.inner>*>* {
    margin-bottom: var(--spacing);
    margin-top: var(--spacing);
}

.container.style2.columns>.wrapper>.inner>*>*:first-child {
    margin-top: 0 !important;
}

.container.style2.columns>.wrapper>.inner>*>*:last-child {
    margin-bottom: 0 !important;
}

.container.style2.columns>.wrapper>.inner>*:first-child {
    margin-left: calc(var(--gutters) * -1);
}

.container.style2.default>.wrapper>.inner>.full {
    margin-left: calc(var(--padding-horizontal) * -1);
    max-width: none !important;
    width: calc(100% + (var(--padding-horizontal) * 2) + 0.4725px);
}

.container.style2.default>.wrapper>.inner>.full:first-child {
    margin-top: calc(var(--padding-vertical) * -1) !important;
    border-top-left-radius: inherit;
    border-top-right-radius: inherit;
}

.container.style2.default>.wrapper>.inner>.full:last-child {
    margin-bottom: calc(var(--padding-vertical) * -1) !important;
    border-bottom-left-radius: inherit;
    border-bottom-right-radius: inherit;
}

.container.style2.columns>.wrapper>.inner>div>.full {
    margin-left: calc(var(--gutters) * -0.5);
    max-width: none !important;
    width: calc(100% + var(--gutters) + 0.4725px);
}

.container.style2.columns>.wrapper>.inner>div:first-child>.full {
    margin-left: calc(var(--padding-horizontal) * -1);
    width: calc(100% + var(--padding-horizontal) + calc(var(--gutters) * 0.5) + 0.4725px);
}

.container.style2.columns>.wrapper>.inner>div:last-child>.full {
    width: calc(100% + var(--padding-horizontal) + calc(var(--gutters) * 0.5) + 0.4725px);
}

.container.style2.columns>.wrapper>.inner>div>.full:first-child {
    margin-top: calc(var(--padding-vertical) * -1) !important;
}

.container.style2.columns>.wrapper>.inner>div>.full:last-child {
    margin-bottom: calc(var(--padding-vertical) * -1) !important;
}

.container.style2.columns>.wrapper>.inner>.full {
    align-self: stretch;
}

.container.style2.columns>.wrapper>.inner>.full:first-child {
    border-bottom-left-radius: inherit;
    border-top-left-radius: inherit;
}

.container.style2.columns>.wrapper>.inner>.full:last-child {
    border-bottom-right-radius: inherit;
    border-top-right-radius: inherit;
}

.container.style2.columns>.wrapper>.inner>.full>.full:first-child:last-child {
    border-radius: inherit;
    height: calc(100% + (var(--padding-vertical) * 2));
}

.container.style2.columns>.wrapper>.inner>.full>.full:first-child:last-child>* {
    border-radius: inherit;
    height: 100%;
    position: absolute;
    width: 100%;
}

#container06>.wrapper>.inner> :nth-child(1) {
    width: calc(33.33333% + (var(--gutters) / 3));
}

#container06>.wrapper>.inner> :nth-child(2) {
    width: calc(33.33333% + (var(--gutters) / 3));
}

#container06>.wrapper>.inner> :nth-child(3) {
    width: calc(33.33333% + (var(--gutters) / 3));
}

#container01>.wrapper>.inner> :nth-child(1) {
    width: calc(33.33333% + (var(--gutters) / 3));
}

#container01>.wrapper>.inner> :nth-child(2) {
    width: calc(33.33333% + (var(--gutters) / 3));
}

#container01>.wrapper>.inner> :nth-child(3) {
    width: calc(33.33333% + (var(--gutters) / 3));
}

.buttons {
    cursor: default;
    display: flex;
    justify-content: var(--flex-alignment);
    letter-spacing: 0;
    padding: 0;
}

.buttons li {
    max-width: 100%;
    text-align: var(--alignment);
}

.buttons li a {
    align-items: center;
    justify-content: center;
    max-width: 100%;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    white-space: nowrap;
}

.buttons.style1 {
    gap: 0rem;
    flex-direction: row;
    flex-wrap: wrap;
}

.buttons.style1 li a {
    display: inline-block;
    width: 10rem;
    height: 3.5rem;
    line-height: calc(3.5rem - 2px);
    padding: 0 0.5rem;
    vertical-align: middle;
    font-family: 'IBM Plex Mono', monospace;
    font-size: 1em;
    font-weight: 400;
    border-radius: 0.5rem;
    direction: var(--site-language-direction);
    overflow: hidden;
    text-overflow: ellipsis;
    transition: color 0.25s ease, background-color 0.25s ease, border-color 0.25s ease;
}

.buttons.style1 .button {
    color: #3D3D3D;
    border: solid 1px #FFFFFF;
}

.buttons.style1 .button:hover {
    border-color: #000000 !important;
    color: #000000 !important;
}

.icons {
    display: flex;
    flex-wrap: wrap;
    justify-content: var(--flex-alignment);
    letter-spacing: 0;
    padding: 0;
}

.icons li {
    position: relative;
    z-index: 1;
}

.icons li a {
    align-items: center;
    display: flex;
    justify-content: center;
}

.icons li a svg {
    display: block;
    pointer-events: none;
    position: relative;
}

.icons li a+svg {
    display: block;
    height: 100%;
    left: 0;
    pointer-events: none;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: -1;
}

.icons li a .label {
    display: none;
}

.icons.style1 {
    font-size: 1.375em;
    gap: 1.25rem;
}

.icons.style1 li a {
    border-radius: 100%;
    height: 2em;
    width: 2em;
    transition: color 0.25s ease, background-color 0.25s ease, border-color 0.25s ease;
}

.icons.style1 li a svg {
    height: 60%;
    width: 60%;
    transition: fill 0.25s ease;
}

.icons.style1 a svg {
    fill: #3D3D3D;
}

.icons.style1 a {
    border: solid 1px #FFFFFF;
}

.icons.style1 a:hover {
    border-color: #000000 !important;
}

.icons.style1 a:hover svg {
    fill: #000000 !important;
}

.icons.style1 li a+svg {
    transition: fill 0.25s ease, stroke 0.25s ease;
}

.icc-credits {
    display: block;
    opacity: 1 !important;
    position: relative;
    transition-delay: 0s !important;
}

.icc-credits span {
    border-radius: 24px;
    cursor: pointer;
    display: inline-block;
    font-family: Arial, sans-serif;
    font-size: 12px;
    letter-spacing: 0;
    line-height: 1;
    position: relative;
    text-decoration: none;
    width: auto;
}

.icc-credits span a {
    display: inline-block;
    padding: 0.5em 0.375em;
    position: relative;
    text-decoration: none;
    transition: color 0.25s ease, transform 0.25s ease;
    z-index: 1;
}

.icc-credits span a:before {
    content: '( ';
    opacity: 1;
    transition: opacity 0.25s ease;
}

.icc-credits span a:after {
    content: ' )';
    opacity: 1;
    transition: opacity 0.25s ease;
}

.icc-credits span::after {
    background-image: linear-gradient(30deg, #A464A1 15%, #3B5DAD 85%);
    border-radius: inherit;
    box-shadow: 0 0.25em 1.25em 0 rgba(0, 0, 0, 0.25);
    content: '';
    display: block;
    height: calc(100% + 2px);
    left: -1px;
    opacity: 0;
    pointer-events: none;
    position: absolute;
    top: -1px;
    transition: opacity 0.25s ease, box-shadow 0.25s ease, transform 0.25s ease;
    width: calc(100% + 2px);
}

.icc-credits span:hover {
    text-transform: none !important;
}

.icc-credits span:hover a {
    color: #ffffff !important;
    transform: scale(1.1) translateY(-0.05rem);
}

.icc-credits span:hover a:before {
    opacity: 0;
}

.icc-credits span:hover a:after {
    opacity: 0;
}

.icc-credits span:hover::after {
    opacity: 1;
    transform: scale(1.1) translateY(-0.05rem);
}

#credits span {
    color: rgba(61, 61, 61, 0.498);
    margin-top: 0.25rem !important;
}

@media (max-width: 1920px) {}

@media (max-width: 1680px) {
    html {
        font-size: 12pt;
    }
}

@media (max-width: 1280px) {
    html {
        font-size: 12pt;
    }
}

@media (max-width: 1024px) {}

@media (max-width: 980px) {
    html {
        font-size: 10pt;
    }
}

@media (max-width: 736px) {
    html {
        font-size: 12pt;
    }

    #main>.inner {
        --padding-horizontal: 1rem;
        --padding-vertical: 1rem;
        --spacing: 0.25rem;
    }

    h1.style1,
    h2.style1,
    h3.style1,
    p.style1 {
        letter-spacing: 0.065625rem;
        width: calc(100% + 0.065625rem);
        font-size: 2em;
        line-height: 0.875;
    }

    h1.style2,
    h2.style2,
    h3.style2,
    p.style2 {
        letter-spacing: 0.021875rem;
        width: calc(100% + 0.021875rem);
        font-size: 0.75em;
        line-height: 1.625;
    }

    #image02 .frame {
        height: 15rem !important;
    }

    #image02 img {
        height: 100% !important;
        object-fit: cover;
        object-position: center;
        width: 100% !important;
    }

    .container.style2:not(:first-child) {
        margin-top: 0.84375rem !important;
    }

    .container.style2>.wrapper>.inner {
        --gutters: 2rem;
        --padding-horizontal: 0rem;
        --padding-vertical: 3.375rem;
        --spacing: 1rem;
    }

    .container.style2.columns>.wrapper>.inner {
        flex-direction: column !important;
        flex-wrap: nowrap !important;
    }

    .container.style2.columns>.wrapper>.inner>span {
        height: 0;
        margin-top: calc(var(--gutters) * -1);
        pointer-events: none;
        visibility: hidden;
    }

    .container.style2.columns>.wrapper>.inner>*:first-child {
        margin-left: 0 !important;
        padding-top: 0 !important;
    }

    .container.style2.columns>.wrapper>.inner>* {
        padding: calc(var(--gutters) * 0.5) 0 !important;
    }

    .container.style2.columns>.wrapper>.inner>*:last-child {
        padding-bottom: 0 !important;
    }

    .container.style2.columns>.wrapper>.inner>div>.full {
        margin-left: calc(var(--padding-horizontal) * -1);
        width: calc(100% + (var(--padding-horizontal) * 2) + 0.4725px);
    }

    .container.style2.columns>.wrapper>.inner>div:first-of-type>.full {
        margin-left: calc(var(--padding-horizontal) * -1);
        width: calc(100% + (var(--padding-horizontal) * 2) + 0.4725px);
    }

    .container.style2.columns>.wrapper>.inner>div:last-of-type>.full {
        margin-left: calc(var(--padding-horizontal) * -1);
        width: calc(100% + (var(--padding-horizontal) * 2) + 0.4725px);
    }

    .container.style2.columns>.wrapper>.inner>div>.full:first-child {
        margin-top: calc(var(--gutters) * -0.5) !important;
    }

    .container.style2.columns>.wrapper>.inner>div>.full:last-child {
        margin-bottom: calc(var(--gutters) * -0.5) !important;
    }

    .container.style2.columns>.wrapper>.inner>div:first-of-type>.full:first-child {
        margin-top: calc(var(--padding-vertical) * -1) !important;
    }

    .container.style2.columns>.wrapper>.inner>div:last-of-type>.full:last-child {
        margin-bottom: calc(var(--padding-vertical) * -1) !important;
    }

    .container.style2.columns>.wrapper>.inner>div:first-of-type,
    .container.style2.columns>.wrapper>.inner>div:first-of-type>.full:first-child {
        border-top-left-radius: inherit;
        border-top-right-radius: inherit;
    }

    .container.style2.columns>.wrapper>.inner>div:last-of-type,
    .container.style2.columns>.wrapper>.inner>div:last-of-type>.full:last-child {
        border-bottom-left-radius: inherit;
        border-bottom-right-radius: inherit;
    }

    .container.style2.columns>.wrapper>.inner>div:first-of-type,
    .container.style2.columns>.wrapper>.inner>div:first-of-type>.full:last-child {
        border-bottom-left-radius: 0 !important;
    }

    .container.style2.columns>.wrapper>.inner>div:last-of-type,
    .container.style2.columns>.wrapper>.inner>div:last-of-type>.full:first-child {
        border-top-right-radius: 0 !important;
    }

    .container.style2.columns>.wrapper>.inner>.full>.full:first-child:last-child {
        height: auto;
    }

    .container.style2.columns>.wrapper>.inner>.full>.full:first-child:last-child>* {
        height: auto;
        position: relative;
        width: auto;
    }

    #container06>.wrapper>.inner> :nth-child(1) {
        min-height: 100% !important;
        width: 100% !important;
    }

    #container06>.wrapper>.inner> :nth-child(2) {
        min-height: 100% !important;
        width: 100% !important;
    }

    #container06>.wrapper>.inner> :nth-child(3) {
        min-height: 100% !important;
        width: 100% !important;
    }

    #container01>.wrapper>.inner> :nth-child(1) {
        min-height: 100% !important;
        width: 100% !important;
    }

    #container01>.wrapper>.inner> :nth-child(2) {
        min-height: 100% !important;
        width: 100% !important;
    }

    #container01>.wrapper>.inner> :nth-child(3) {
        min-height: 100% !important;
        width: 100% !important;
    }

    .buttons.style1 {
        gap: 0rem;
    }

    .buttons.style1 li a {
        letter-spacing: 0rem;
        font-size: 1em;
    }

    .icons.style1 {
        font-size: 1.375em;
        gap: 1.25rem;
    }
}

@media (max-width: 480px) {
    #main>.inner {
        --spacing: 0.21875rem;
    }

    #image02 .frame {
        height: 12rem !important;
    }

    .container.style2>.wrapper>.inner {
        --spacing: 0.875rem;
    }

    .buttons.style1 li a {
        width: 10rem;
    }
}

@media (max-width: 360px) {
    #main>.inner {
        --padding-horizontal: 0.75rem;
        --padding-vertical: 0.75rem;
        --spacing: 0.1875rem;
    }

    h1.style1,
    h2.style1,
    h3.style1,
    p.style1 {
        font-size: 1.5em;
    }

    h1.style2,
    h2.style2,
    h3.style2,
    p.style2 {
        font-size: 0.75em;
    }

    #image02 .frame {
        height: 10.5rem !important;
    }

    .container.style2>.wrapper>.inner {
        --gutters: 1.5rem;
        --padding-horizontal: 0rem;
        --padding-vertical: 2.53125rem;
        --spacing: 0.75rem;
    }

    .buttons.style1 {
        gap: 0rem;
    }

    .icons.style1 {
        gap: 0.9375rem;
    }
}